Extensions problem on a Mac

Asked by Lon Larsen on 2012-04-25

Trying to run the interpolate extension on a MacPro and I always get this error.
"The fantastic lxml wrapper for libxml2 is required by inkex.py and therefore this extension. Please download and install the latest version from http://cheeseshop.python.org/pypi/lxml/, or install it through your package manager by a command like: sudo apt-get install python-lxml"

Is there an easy answer or should I just wait for .49 to come out. I have looked on some forums and seen this topic being discussed, but I am not able to understand how to fix this problem. I am just and end-user and not a developer. Thanks

Question information

Language:
English Edit question
Status:
Solved
For:
Inkscape Edit question
Assignee:
No assignee Edit question
Solved by:
su_v
Solved:
2012-05-04
Last query:
2012-05-04
Last reply:
2012-04-26
Lon Larsen (lonmac07) said : #3

I tried modifying the bin- inkscape file twice. Each time, X11 and Inkscape would not start. I reinstalled a fresh copy and will just wait for the next update.

su_v (suv-lp) said : #4

> I tried modifying the bin- inkscape file twice. Each
> time, X11 and Inkscape would not start.

Which text editor did you use?

Lon Larsen (lonmac07) said : #5

I used the TextEdit app that comes with the Mac. I don't know how to find if it adds a hidden file extension.

su_v (suv-lp) said : #6

> I used the TextEdit app that comes with the Mac.

I explicitly listed as one of the prerequisites for my instructions to install and use a "real" plain-text editor (because the new auto-save feature of TextEdit on Lion can cause unwanted changes to the file permissions of the edited shell script which will prevent Inkscape from launching):

<quote>
Prerequisites:
- unmodified version of Inkscape 0.48.2 installed
- alternative text editor is available (see earlier comment)
- quit all open Inkscape windows
</quote>
<https://answers.launchpad.net/inkscape/+question/194132#comment-6>

which refers to comment #4:
<https://answers.launchpad.net/inkscape/+question/194132#comment-4>

Lon Larsen (lonmac07) said : #7

Thanks ~suv, that solved my question.

Lon Larsen (lonmac07) said : #8

When I fully read the instructions and downloaded one of the correct text editors (TextWrangler) I was able to fix the problem and get my extensions to work correctly. Sorry I did not read all the instructions from the beginning.